---
- hosts: localhost
  tasks:
    - name: Define variable in task.
      shell: cat filename_cpdoftest.txt
      register : BUILD_LATEST
    - debug:
        var: BUILD_LATEST.stdout_lines[0]
    - file:
       path: /home/train/Downloads/apache-tomcat-9.0.30/webapps/CPDOFSEPFIVE
       state: absent
      name: "remove existing extraicted war"
    - get_url:
       dest: /home/train/Downloads/apache-tomcat-9.0.30/webapps/CPDOFSEPFIVE.war
       force: true
       url: "{{ BUILD_LATEST.stdout_lines[0]}}"
    - name: Copy the build to the docker staging server (container id) DOCKER_CONT_ID
      shell: "docker cp /home/train/Downloads/apache-tomcat-9.0.30/webapps/CPDOFSEPFIVE.war tomcat9991:/usr/local/tomcat/webapps"
    - name: Copy the build to the docker staging server (container id) DOCKER_CONT_ID
      shell: "docker cp /home/train/Downloads/apache-tomcat-9.0.30/webapps/CPDOFSEPFIVE.war tomcat9992:/usr/local/tomcat/webapps"
